import request from '@/utils/request'

// 列表
export function materialList(query) {
  return request({
    url: '/pu/ownership/item/materialList',
    method: 'get',
    params: query
  })
}

// 详细
export function getDetail(id) {
  return request({
    url: '/pu/ownership/item/' + id,
    method: 'get'
  })
}

// 修改
export function update(data) {
  return request({
    url: '/pu/ownership/item/',
    method: 'put',
    data: data
  })
}

// 货权预留单详情
export function getDetailBySource(id) {
  return request({
    url: `/pu/ownership/detail/${id}`,
    method: 'get',
  })
}